.space-tab-titles-wrapper .space-tab-titles {
    position: unset !important;
    margin-left: 1rem;
    padding: 0 10px;
    width: 343px;
    height: 44px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background: #ffffff;
    border: 1px solid #c2c8cc;
    box-shadow: 0px 1px 4px rgba(16, 24, 40, 0.05);
    border-radius: 8px;
  }
  .space-tab-titles-wrapper .space-tab-titles .space-title-link {
    cursor: pointer;
    padding: 0.625rem 0.75rem 0.5rem 0.875rem;
    background: white;
    width: 100%;
    order: 1;
  }
  .space-tab-titles-wrapper .space-tab-titles .space-title-link.active {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    order: 0;
  }
  .space-tab-titles-wrapper .space-tab-titles .space-title-link.active:after {
    content: '';
    position: absolute;
    left: 20rem;
    border: solid #68737d;
    border-width: 0 1.66667px 1.66667px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(45deg);
  }
  .space-tab-titles-wrapper .space-tab-titles .space-title-link:hover {
    color: #3e4b58;
  }
  .space-tab-titles-wrapper .space-tab-titles .space-title-link:not(.active) {
    position: absolute;
    top: -999em;
    border-top: 1px solid #c2c8cc;
  }
  .space-tab-titles-wrapper
    .space-tab-titles.expanded
    .space-title-link.active:after {
    border-top-color: transparent;
    border-bottom-color: #555;
  }
  .space-tab-titles-wrapper
    .space-tab-titles.expanded
    .space-title-link:not(.active) {
    position: relative;
    top: auto;
  }
  /* Vertical Layout */
  .space-tab-titles-wrapper.vertical .layout-builder__link--add {
    margin-top: 1rem !important;
  }
  /* Horizontal Layout */
  .space-tab-titles-wrapper.horizontal .layout-builder__link--add {
    margin-top: 0 !important;
  }
  .space-tab-titles-wrapper.horizontal .tab-content {
    padding-top: 4.5rem;
  }
  #layout-preview-image > .tabs-preview-title {
    display: flex;
  }
  #layout-preview-image > .tabs-preview-title .tabs-preview-item,
  #layout-preview-image > .tabs-preview-title .tabs-preview-body {
    width: 100%;
    border: 5px solid white;
    border-width: 0 5px 5px 0;
  }
  /* Media Queries */
  /* For Desktop */
  @media only screen and (min-width: 768px) {
    .space-tab-titles-wrapper {
      gap: 20px;
    }
    /* Vertical Layout */
    .space-tab-titles-wrapper.vertical {
      display: flex;
      flex-direction: row;
    }
    .space-tab-titles-wrapper.vertical .tab-content {
      padding-top: 0;
    }
    .space-tab-titles-wrapper.vertical .space-tab-titles {
      position: static;
      flex-direction: column;
    }
    /* Default Size */
    .space-tab-titles-wrapper.vertical
      .space-tab-titles.default_size_padding
      .space-title-link
      .space-tab-title {
      padding: 6px 20px;
      font-size: 14px;
      line-height: 20px;
    }
    /* Large Size */
    .space-tab-titles-wrapper.vertical
      .space-tab-titles.large_size_padding
      .space-title-link
      .space-tab-title {
      padding: 8px 20px;
      font-size: 16px;
      line-height: 24px;
    }
    /* Horizontal Layout */
    .space-tab-titles-wrapper.horizontal .space-tab-titles {
      flex-direction: row;
      justify-content: left;
    }
    /* Default Size */
    .space-tab-titles-wrapper.horizontal
      .space-tab-titles.default_size_padding
      .space-title-link
      .space-tab-title {
      padding: 4px 12px;
      font-size: 14px;
      line-height: 20px;
    }
    /* Large Size */
    .space-tab-titles-wrapper.horizontal
      .space-tab-titles.large_size_padding
      .space-title-link
      .space-tab-title {
      padding: 4px 16px;
      font-size: 16px;
      line-height: 24px;
    }
    .space-tab-titles-wrapper .space-tab-titles {
      width: auto;
      height: auto;
      margin: 0;
      border: none;
      box-shadow: none;
      order: 0;
    }
    /* Underlined and Underlined Filled Variant  */
    .space-tab-titles-wrapper
      .space-tab-titles.underlined
      .space-title-link
      .space-tab-title,
    .space-tab-titles-wrapper
      .space-tab-titles.underlined_filled
      .space-title-link
      .space-tab-title {
      border-bottom-width: 2px;
      border-color: #e9ebed;
      font-weight: 400;
    }
    .space-tab-titles-wrapper
      .space-tab-titles.underlined
      .space-title-link
      .space-tab-title:hover,
    .space-tab-titles-wrapper
      .space-tab-titles.underlined_filled
      .space-title-link
      .space-tab-title:hover {
      color: #2f3941;
      border-color: #90bbbb;
    }
    /* Underlined Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.underlined
      .space-title-link.active
      .space-tab-title {
      border-color: #17494d;
      font-weight: 700;
      color: #17494d;
    }
    /* Underlined_Filled Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.underlined_filled
      .space-title-link.active
      .space-tab-title {
      background-color: #daeded;
      border-color: #17494d;
      font-weight: 700;
      color: #17494d;
    }
    /* Filled Light & Dark Variant */
    .space-tab-titles-wrapper
      .space-tab-titles.filled_light
      .space-title-link
      .space-tab-title,
    .space-tab-titles-wrapper
      .space-tab-titles.filled_dark
      .space-title-link
      .space-tab-title {
      font-weight: 400;
      border-radius: 4px;
    }
    .space-tab-titles-wrapper
      .space-tab-titles.filled_light
      .space-title-link
      .space-tab-title:hover,
    .space-tab-titles-wrapper
      .space-tab-titles.filled_dark
      .space-title-link
      .space-tab-title:hover {
      color: #2f3941;
      background-color: #f5fcfc;
    }
    /* Filled Light Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.filled_light
      .space-title-link.active
      .space-tab-title {
      background-color: #daeded;
      font-weight: 700;
      color: #17494d;
    }
    /* Filled Dark Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.filled_dark
      .space-title-link.active
      .space-tab-title {
      background-color: #17494d;
      font-weight: 700;
      color: #ffffff;
    }
    /* Container 1 Light & Dark Variant */
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_light
      .space-title-link
      .space-tab-title,
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_dark
      .space-title-link
      .space-tab-title {
      border: 1px solid #e9ebed;
      color: #68737d;
    }
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_light
      .space-title-link
      .space-tab-title:hover,
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_dark
      .space-title-link
      .space-tab-title:hover {
      background-color: #f5fcfc;
      color: #2f3941;
    }
    /* Container 1 Light - Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_light
      .space-title-link.active
      .space-tab-title {
      background-color: #daeded;
      color: #17494d;
      font-weight: 700;
    }
    /* Container 1 Dark - Active State */
    .space-tab-titles-wrapper
      .space-tab-titles.container_1_dark
      .space-title-link.active
      .space-tab-title {
      background-color: #17494d;
      color: #ffffff;
      font-weight: 700;
    }
    /* Container 2 Variant */
    .space-tab-titles-wrapper
      .space-tab-titles.container_2
      .space-title-link
      .space-tab-title {
      border: 1px solid #e9ebed;
      color: #68737d;
    }
    .space-tab-titles-wrapper
      .space-tab-titles.container_2
      .space-title-link.active
      .space-tab-title {
      border-left-width: 4px;
      border-left-color: #17494d;
      color: #17494d;
      font-weight: 700;
    }
    /* Default Size - Container 1 and 2 */
    .space-tab-titles-wrapper
      .space-tab-titles.default_size
      .space-title-link
      .space-tab-title {
      font-size: 14px;
      line-height: 20px;
      padding: 10px 20px;
    }
    /* Large Size - Container 1 and 2 */
    .space-tab-titles-wrapper
      .space-tab-titles.large_size
      .space-title-link
      .space-tab-title {
      font-size: 16px;
      line-height: 24px;
      padding: 10px 20px;
    }
    .space-tab-titles-wrapper .space-tab-titles .space-title-link {
      padding: 0;
      border-top: none;
      margin-left: 0;
      order: unset;
    }
    .space-tab-titles-wrapper .space-tab-titles .space-title-link:not(.active) {
      position: unset;
    }
    .space-tab-titles-wrapper .space-tab-titles .space-title-link.active {
      padding-right: 0;
    }
    .space-tab-titles-wrapper .space-tab-titles .space-title-link.active:after {
      display: none;
    }
    .space-tab-titles-wrapper .space-tab-titles .space-title-link:not(.active) {
      border-top: none;
    }
    .space-tab-titles-wrapper.vertical .space-tab-titles {
      width: 25%;
    }
    .space-tab-titles-wrapper.vertical .tab-content {
      width: 75%;
    }
  
    #layout-tab-wrapper details {
      margin: 0 -20px !important;
    }
    #layout-tab-wrapper details .details-wrapper {
      padding-bottom: 15px;
    }
  }
  
  @media only screen and (min-width: 900px) {
    .space-tab-titles-wrapper.vertical .space-tab-titles {
      width: 20%;
    }
    .space-tab-titles-wrapper.vertical .tab-content {
      width: 80%;
    }
  }
  